Name:           ocaml
Version:        4.02.3
Release: 	10.11%{?dist}1a
Summary:        Objective Caml compiler and programming environment
Group:          Development/Languages
License:        QPL and (LGPLv2+ with exceptions)
URL:            http://www.ocaml.org
Source:         http://caml.inria.fr/distrib/ocaml-3.12/ocaml-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-root
Prefix: %{_prefix}

%description
Objective Caml is a high-level, strongly-typed, functional and
object-oriented programming language from the ML family of languages.

This package comprises two batch compilers (a fast bytecode compiler
and an optimizing native-code compiler), an interactive toplevel system,
parsing tools (Lex,Yacc,Camlp4), a replay debugger, a documentation generator,
and a comprehensive library.

%prep
%setup -n %{name}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure \
    -prefix %{_prefix}
make world
make bootstrap
make world.opt

%install
rm -rf $RPM_BUILD_ROOT
make install \
     BINDIR=$RPM_BUILD_ROOT%{_bindir} \
     LIBDIR=$RPM_BUILD_ROOT%{_libdir}/ocaml \
     MANDIR=$RPM_BUILD_ROOT%{_mandir}
perl -pi -e "s|^$RPM_BUILD_ROOT||" $RPM_BUILD_ROOT%{_libdir}/ocaml/ld.conf

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,wheel,-)
%dir %{_libdir}/ocaml
%{_bindir}/*
%{_libdir}/ocaml/*
%{_mandir}/man*/*

%doc README LICENSE Changes

%changelog
* Tue Feb 09 2016 Keisuke Fujii <keisuke.fujii@kek.jp> - 4.02.3-10.11hepx1a
- 1st release on MacOS X 10.11

* Wed Dec 24 2014 Keisuke Fujii <keisuke.fujii@kek.jp> - 4.01.0-10.10hepx1a
- 1st release on MacOS X 10.10

* Thu Aug 07 2014 Keisuke Fujii <keisuke.fujii@kek.jp> - 4.01.0-10.9hepx1b
- 2nd release on MacOS X 10.9

* Sat Nov 30 2013 Keisuke Fujii <keisuke.fujii@kek.jp> - 4.01.0-10.9hepx1a
- 1st release on MacOS X 10.9

* Fri Jun 22 2012 Keisuke Fujii <keisuke.fujii@kek.jp> - 3.12.1-10.7hepx1a
- 1st release on MacOS X 10.7
